# Changelog

## 2025-05-19 - 3.1.3 - fix(documentation)
Update API reference and enhance README with detailed examples and usage instructions

- Added comprehensive API.md with reference details for core modules, interfaces, and interactive console features
- Updated README.md with improved installation steps, usage examples, and log group information
- Revised development hints to reflect environment detection and test file organization

## 2025-05-16 - 3.1.2 - fix(tests)
Update test imports and devDependencies to use @git.zone/tstest/tapbundle

- Changed import statements in test files from '@push.rocks/tapbundle' to '@git.zone/tstest/tapbundle'
- Updated devDependency '@git.zone/tstest' to version ^1.7.0 and removed dependency on '@push.rocks/tapbundle'

## 2025-05-15 - 3.1.1 - fix(source-interactive)
Fix import path in receiver tests and rename progress bar property for clarity; update SmartlogSourceOra getter for improved backward compatibility.

- Changed test file import from '../ts/index.js' to '../dist_ts/index.js' in test.receiver.node.ts to resolve module path issues
- Renamed property 'complete' to 'completeChar' in SmartlogProgressBar and updated its usage accordingly
- Modified SmartlogSourceOra getter to use public methods for starting and stopping the spinner, ensuring backward compatibility

## 2025-05-15 - 3.1.0 - feat(interactive)
Add interactive console features and refactor spinner module by renaming source-ora to source-interactive and removing ora dependency

- Renamed source-ora module to source-interactive and updated package.json exports
- Removed ora dependency in favor of a custom spinner implementation
- Added new progress bar functionality with configurable options including ETA, percentage, and color
- Updated tests and documentation (README and plan) to reflect the new interactive features
- Bumped dependency versions in package.json and improved test script configuration

## 2025-05-12 - 3.0.9 - fix(test/destination-devtools.browser)
Simplify DevTools browser tests by removing redundant styled log assertions.

- Removed detailed log styling tests to streamline the browser test suite.
- Retained a basic test to verify DevTools destination instance creation.

## 2025-05-11 - 3.0.8 - fix(ci)
Update CI workflows, build scripts, and export configuration

- Add separate Gitea workflows for tag and non-tag pushes to automate testing, auditing, and release steps
- Revise package.json exports and update dependency versions and build scripts for improved module resolution
- Enhance tsconfig settings with baseUrl and paths for consistency
- Refine source code formatting and adjust test cases for better maintenance

## 2024-06-06 - 3.0.7 - no notable changes
This release contains no detailed changes.

## 2024-06-06 - 3.0.6 - core
A few fixes and updates were made in this release.

- fix(core): update
- update description

## 2024-05-17 - 3.0.5 - core
A minor core fix was applied.

- fix(core): update

## 2024-05-17 - 3.0.4 - core
This release includes several updates to core files and configuration.

- fix(core): update
- update tsconfig
- update npmextra.json: githost
- update npmextra.json: githost
- update npmextra.json: githost

## 2023-08-08 - 3.0.3 - core
A simple core update was performed.

- fix(core): update

## 2023-07-12 - 3.0.2 - core
Core updates and a change of organizational scheme were introduced.

- fix(core): update
- switch to new org scheme (x2)

## 2022-10-26 - 3.0.1 - core
A core fix was applied.

- fix(core): update

## 2022-07-26 - 3.0.0 - core
A minor core update was made.

- fix(core): update

## 2022-06-26 - 2.0.44 - core
A breaking change switched the module system to esm.

- BREAKING CHANGE(core): switch to esm

## 2021-07-21 - 2.0.43 - core
A core update was applied.

- fix(core): update

## 2021-07-20 - 2.0.42 - core
A core update was applied.

- fix(core): update

## 2021-07-20 - 2.0.41 - core
A core update was applied.

- fix(core): update

## 2021-07-20 - 2.0.40 - core
A core update was applied.

- fix(core): update

## 2021-07-06 - 2.0.39 - core
A core update was applied.

- fix(core): update

## 2020-09-08 - 2.0.38 - core
A core update was applied.

- fix(core): update

## 2020-09-07 - 2.0.37 - core
A core update was applied.

- fix(core): update

## 2020-09-07 - 2.0.36 - core
A core update was applied.

- fix(core): update

## 2020-08-02 - 2.0.35 - core
A core update was applied.

- fix(core): update

## 2020-06-11 - 2.0.34 - core
A core update was applied.

- fix(core): update

## 2020-06-11 - 2.0.33 - core
A core update was applied.

- fix(core): update

## 2020-06-11 - 2.0.32 - core
A core update was applied.

- fix(core): update

## 2020-06-11 - 2.0.31 - core
A core update was applied.

- fix(core): update

## 2020-06-11 - 2.0.30 - core
A core update was applied.

- fix(core): update

## 2020-06-11 - 2.0.29 - core
A core update was applied.

- fix(core): update

## 2020-06-11 - 2.0.28 - core
A core update was applied.

- fix(core): update

## 2020-06-08 - 2.0.27 - core
A core update was applied.

- fix(core): update

## 2020-06-08 - 2.0.26 - core
A core update was applied.

- fix(core): update

## 2020-06-08 - 2.0.25 - core
A core update was applied.

- fix(core): update

## 2020-06-08 - 2.0.24 - core
A core update was applied.

- fix(core): update

## 2020-06-07 - 2.0.23 - core
A core update was applied.

- fix(core): update

## 2020-06-05 - 2.0.22 - core
A core update was applied.

- fix(core): update

## 2020-06-05 - 2.0.21 - core
A core update was applied.

- fix(core): update

## 2019-10-22 - 2.0.20 - core
A core update was applied.

- fix(core): update

## 2019-10-22 - 2.0.19 - core
Dependencies were updated in the core.

- fix(core): update dependencies

## 2019-01-30 - 2.0.18 - license
License files were updated.

- fix(license): update license files

## 2019-01-30 - 2.0.17 - readme
A typo in the readme was fixed.

- fix(readme): fix typo

## 2019-01-30 - 2.0.16 - readme
A typo in the readme was fixed.

- fix(readme): fix typo

## 2019-01-28 - 2.0.15 - core
A core update was applied.

- fix(core): update

## 2019-01-28 - 2.0.14 - core
A core update was applied.

- fix(core): update

## 2019-01-22 - 2.0.13 - core
A core update was applied.

- fix(core): update

## 2019-01-22 - 2.0.12 - core
A core update was applied.

- fix(core): update

## 2019-01-18 - 2.0.11 - core
A core update was applied.

- fix(core): update

## 2019-01-15 - 2.0.10 - core
A core update was applied.

- fix(core): update

## 2019-01-15 - 2.0.9 - core
A core update was applied.

- fix(core): update

## 2018-11-11 - 2.0.8 - core
A core update was applied.

- fix(core): update

## 2018-11-04 - 2.0.7 - core
A core update was applied.

- fix(core): update

## 2018-11-04 - 2.0.6 - core
A core update was applied.

- fix(core): update

## 2018-11-04 - 2.0.5 - api
An API improvement was made.

- fix(api): streamline api

## 2018-11-04 - 2.0.4 - core
A core update was applied.

- fix(core): update

## 2018-11-03 - 2.0.3 - core
A core update was applied.

- fix(core): update

## 2018-10-31 - 2.0.2 - core
A core update was applied.

- fix(core): update

## 2018-10-30 - 2.0.1 - core
A new log router was implemented in core.

- fix(core): implement log router

## 2018-07-10 - 2.0.0 - core
Console enabling was fixed.

- fix(.enableConsole()): now works

## 2018-07-10 - 1.0.6 - core
A breaking change added a simple defaultLogger to core.

- BREAKING CHANGE(core): now has simple defaultLogger

## 2018-07-08 - 1.0.5 - npm
Package distribution was fixed.

- fix(npm): package distribution

## 2018-06-05 - 1.0.4 - package
The package name was updated.

- fix(package): update package name

## 2018-06-05 - 1.0.3 - core
Several changes were made to update standards and system behavior.

- fix(core): update to latest standards
- system change

## 2018-01-28 - 1.0.2 - docs
Documentation was added to the readme.

- docs(readme): add readme

## 2018-01-28 - 1.0.1 - misc
Initial cleanup and TypeScript support were introduced.

- fix(cleanup):
- feat(ts): initial

## 2016-10-15 - 1.0.0 - no notable changes
This initial release contains no detailed changes.